{
  "name": "riwa-ionic",
  "type": "module",
  "version": "0.0.2",
  "private": true,
  "description": "An Ionic project",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "preview": "vite preview",
    "run:ios": "ionic capacitor run ios -l --external",
    "run:android": "ionic capacitor run android -l --external",
    "proxy": "ionic config set -g proxy http://192.168.1.3:9527",
    "deploy:cloudflare": "wrangler pages deploy dist --project-name=riwa --branch=main",
    "test:e2e": "cypress run",
    "test:unit": "vitest",
    "test:build": "vite build -m test --outDir dist-test",
    "test:preview": "vite preview --port 6173 -m test --outDir dist-test",
    "lint": "eslint",
    "lint:fix": "eslint --fix"
  },
  "dependencies": {
    "@capacitor-community/barcode-scanner": "catalog:",
    "@capacitor-mlkit/barcode-scanning": "catalog:",
    "@capacitor/app": "catalog:",
    "@capacitor/barcode-scanner": "catalog:",
    "@capacitor/camera": "catalog:",
    "@capacitor/clipboard": "catalog:",
    "@capacitor/core": "catalog:",
    "@capacitor/file-transfer": "catalog:",
    "@capacitor/filesystem": "catalog:",
    "@capacitor/haptics": "catalog:",
    "@capacitor/ios": "catalog:",
    "@capacitor/keyboard": "catalog:",
    "@capacitor/share": "catalog:",
    "@capacitor/status-bar": "catalog:",
    "@elysiajs/eden": "catalog:",
    "@ionic/vue": "catalog:",
    "@ionic/vue-router": "catalog:",
    "@riwa/api-types": "catalog:",
    "@tailwindcss/vite": "catalog:",
    "@vee-validate/zod": "catalog:",
    "@vueuse/core": "catalog:",
    "@vueuse/integrations": "catalog:",
    "@vueuse/router": "catalog:",
    "better-auth": "catalog:",
    "dayjs": "catalog:",
    "ethers": "catalog:",
    "html2canvas": "catalog:",
    "ionicons": "catalog:",
    "jsqr": "catalog:",
    "lightweight-charts": "catalog:",
    "lodash-es": "catalog:",
    "markdown-it": "catalog:",
    "pinia": "catalog:",
    "qr-scanner-wechat": "catalog:",
    "qrcode": "catalog:",
    "tailwindcss": "catalog:",
    "vconsole": "catalog:",
    "vee-validate": "catalog:",
    "vue": "catalog:",
    "vue-i18n": "catalog:",
    "vue-router": "catalog:",
    "zod": "catalog:"
  },
  "devDependencies": {
    "@antfu/eslint-config": "catalog:",
    "@capacitor/cli": "catalog:",
    "@cloudflare/workers-types": "catalog:",
    "@iconify-json/bx": "catalog:",
    "@iconify-json/circle-flags": "catalog:",
    "@iconify-json/cryptocurrency-color": "catalog:",
    "@iconify-json/ic": "catalog:",
    "@iconify-json/icon-park-outline": "catalog:",
    "@iconify-json/material-icon-theme": "catalog:",
    "@iconify-json/material-symbols": "catalog:",
    "@iconify-json/prime": "catalog:",
    "@iconify-json/solar": "catalog:",
    "@iconify-json/tdesign": "catalog:",
    "@iconify/vue": "catalog:",
    "@ionic/cli": "catalog:",
    "@types/lodash-es": "catalog:",
    "@types/node": "catalog:",
    "@types/qrcode": "catalog:",
    "@vitejs/plugin-basic-ssl": "catalog:",
    "@vitejs/plugin-legacy": "catalog:",
    "@vitejs/plugin-vue": "catalog:",
    "@vitejs/plugin-vue-jsx": "catalog:",
    "@vue/eslint-config-typescript": "catalog:",
    "@vue/test-utils": "catalog:",
    "cypress": "catalog:",
    "dotenv": "catalog:",
    "eslint": "catalog:",
    "eslint-plugin-format": "catalog:",
    "eslint-plugin-vue": "catalog:",
    "jiti": "catalog:",
    "jsdom": "catalog:",
    "lint-staged": "catalog:",
    "simple-git-hooks": "catalog:",
    "terser": "catalog:",
    "typescript": "catalog:",
    "unplugin-auto-import": "catalog:",
    "unplugin-icons": "catalog:",
    "unplugin-vue-components": "catalog:",
    "vite": "catalog:",
    "vite-plugin-pwa": "catalog:",
    "vitest": "catalog:",
    "vue-tsc": "catalog:",
    "workbox-window": "catalog:",
    "wrangler": "catalog:"
  },
  "simple-git-hooks": {
    "pre-commit": "pnpm lint-staged"
  },
  "lint-staged": {
    "*": "eslint --fix"
  }
}
